Package org.bukkit.util

# Class EulerAngle

java.lang.Object
org.bukkit.util.EulerAngle

public class EulerAngle extends Object
EulerAngle is used to represent 3 angles, one for each axis (x, y, z). The angles are in radians

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EulerAngle`
`ZERO`
A EulerAngle with every axis set to 0

## Constructor Summary

Constructors
Constructor
Description
`EulerAngle(double x, double y, double z)`
Creates a EularAngle with each axis set to the passed angle in radians

## Method Summary

Modifier and Type
Method
Description
`@NotNull EulerAngle`
`add(double x, double y, double z)`
Creates a new EulerAngle which is the result of adding the x, y, z components to this EulerAngle
`boolean`
`equals(Object o)`
`double`
`getX()`
Returns the angle on the x axis in radians
`double`
`getY()`
Returns the angle on the y axis in radians
`double`
`getZ()`
Returns the angle on the z axis in radians
`int`
`hashCode()`
`@NotNull EulerAngle`
`setX(double x)`
Return a EulerAngle which is the result of changing the x axis to the passed angle
`@NotNull EulerAngle`
`setY(double y)`
Return a EulerAngle which is the result of changing the y axis to the passed angle
`@NotNull EulerAngle`
`setZ(double z)`
Return a EulerAngle which is the result of changing the z axis to the passed angle
`@NotNull EulerAngle`
`subtract(double x, double y, double z)`
Creates a new EulerAngle which is the result of subtracting the x, y, z components to this EulerAngle

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ZERO

public static final EulerAngle ZERO
A EulerAngle with every axis set to 0

## Constructor Details

### EulerAngle

public EulerAngle(double x, double y, double z)
Creates a EularAngle with each axis set to the passed angle in radians

Parameters:
  `x` - the angle for the x axis in radians
  `y` - the angle for the y axis in radians
  `z` - the angle for the z axis in radians

## Method Details

### getX

public double getX()
Returns the angle on the x axis in radians

Returns:
  the angle in radians

### getY

public double getY()
Returns the angle on the y axis in radians

Returns:
  the angle in radians

### getZ

public double getZ()
Returns the angle on the z axis in radians

Returns:
  the angle in radians

### setX

@NotNull public @NotNull EulerAngle setX(double x)
Return a EulerAngle which is the result of changing the x axis to the passed angle

Parameters:
  `x` - the angle in radians
Returns:
  the resultant EulerAngle

### setY

@NotNull public @NotNull EulerAngle setY(double y)
Return a EulerAngle which is the result of changing the y axis to the passed angle

Parameters:
  `y` - the angle in radians
Returns:
  the resultant EulerAngle

### setZ

@NotNull public @NotNull EulerAngle setZ(double z)
Return a EulerAngle which is the result of changing the z axis to the passed angle

Parameters:
  `z` - the angle in radians
Returns:
  the resultant EulerAngle

### add

@NotNull public @NotNull EulerAngle add(double x, double y, double z)
Creates a new EulerAngle which is the result of adding the x, y, z components to this EulerAngle

Parameters:
  `x` - the angle to add to the x axis in radians
  `y` - the angle to add to the y axis in radians
  `z` - the angle to add to the z axis in radians
Returns:
  the resultant EulerAngle

### subtract

@NotNull public @NotNull EulerAngle subtract(double x, double y, double z)
Creates a new EulerAngle which is the result of subtracting the x, y, z components to this EulerAngle

Parameters:
  `x` - the angle to subtract to the x axis in radians
  `y` - the angle to subtract to the y axis in radians
  `z` - the angle to subtract to the z axis in radians
Returns:
  the resultant EulerAngle

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`